﻿using System;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using System.IO;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_InsertCommand(object source, Telerik.Web.UI.GridCommandEventArgs e)
    {
        RadUpload upload = e.Item.FindControl("RadUpload1") as RadUpload;
        string fileName = (e.Item.FindControl("TxtImage") as TextBox).Text;
        SaveFiles(upload, fileName);
    }

    private void SaveFiles(RadUpload upload, string fileName)
    {
        int i = 1;
        foreach (UploadedFile file in upload.UploadedFiles)
        {
            string path = Server.MapPath("~/Uploads");
            if (!File.Exists(Path.Combine(path, fileName + file.GetExtension())))
            {
                file.SaveAs(Path.Combine(path, fileName + file.GetExtension()));
            }
            else
            {
                string fullName = Path.Combine(path, string.Concat(fileName, i.ToString(), file.GetExtension()));
                while (File.Exists(fullName))
                {
                    i++;
                }
                file.SaveAs(fullName);
            }
        }
    }
}
